// Auth types
export interface LoginRequest {
  email: string
  password: string
}

export interface LoginResponse {
  ID: string        // Changed to match Go struct field
  Email: string     // Changed to match Go struct field
}

export interface RegisterRequest {
  email: string
  password: string
}

export interface RegisterResponse {
  ID: string
  Email: string
}

// Validation types
export interface Ticket {
  ticket_id: string
  client_id: string
  email: string
  phone: string
  name: string
  client_type?: string
  last_update: string // Will be converted from time.Time
  description?: string
  status: string
}

export interface TicketInfo {
  ticket_id: string
  client_id: string
  last_update: string // Will be converted from time.Time
  description?: string
  status: string
}

export interface GetValidationTicketsRequest {
  statusFilter?: string
  clientTypeFilter?: string
  sortFilter?: string
  page?: number
  pageSize?: number
}

export interface GetValidationTicketsResponse {
  tickets: Ticket[]
}

export interface GetValidationTicketByIdRequest {
  ticket_id: string
}

export interface GetValidationTicketByIdResponse {
  ticket: Ticket
}

export interface UpdateValidationStatusByTicketIdRequest {
  old_status: string
  new_status: string
  corrections?: string
}

export interface UpdateValidationStatusByTicketIdResponse {
  ticket_info: TicketInfo
}

// Company validation types
export interface CompanyValidationTicket {
  id: string
  name: string
  owner: string
  email: string
  type: string
  status: string
  date: string
  documents: string[]
}

// Dashboard types
export interface DashboardStats {
  pendingTickets: number
  pendingCompanies: number
  pendingUsers: number
  activeUsers: number
}

export interface DashboardData {
  stats: DashboardStats
  recentTickets: Ticket[]
  pendingCompanies: CompanyValidationTicket[]
}