/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          DEFAULT: '#4F46E5',
          50: '#EBEAFD',
          100: '#D7D5FB',
          200: '#AFABF8',
          300: '#8781F4',
          400: '#5F57F1',
          500: '#4F46E5',
          600: '#2A20D9',
          700: '#211AAB',
          800: '#18137D',
          900: '#0F0C4F',
        },
        secondary: {
          DEFAULT: '#10B981',
          50: '#E6F6F0',
          100: '#CCEEE1',
          200: '#99DCC3',
          300: '#66CBA5',
          400: '#33B987',
          500: '#10B981',
          600: '#0D9367',
          700: '#0A6E4D',
          800: '#064A33',
          900: '#03251A',
        },
        gray: {
          50: '#F9FAFB',
          100: '#F3F4F6',
          200: '#E5E7EB',
          300: '#D1D5DB',
          400: '#9CA3AF',
          500: '#6B7280',
          600: '#4B5563',
          700: '#374151',
          800: '#1F2937',
          900: '#111827',
        },
      },
      fontFamily: {
        sans: ['Inter', 'sans-serif'],
      },
    },
  },
  plugins: [],
}