import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  optimizeDeps: {
    exclude: ['lucide-react'],
  },
  server: {
    proxy: {
      // Прокси для всех запросов, начинающихся с /api
      '/api': {
        target: 'http://localhost:8080', // Адрес вашего бэкенда
        changeOrigin: true, // Меняет origin на целевой домен
        rewrite: (path) => path.replace(/^\/api/, ''), // Убирает /api из пути
      },
    },
  },
})
